import QtQuick 1.1
import com.nokia.symbian 1.1

Page {    
    id: mainPage

    Rectangle {
        id: viewStart
        color: "white"

        x: 0
        y: 0
        width: 360
        height: 640

        Button {
            id: button1
            x: 88
            y: 42
            width: 160
            height: 57
            text: ""
        }

        Button {
            id: button2
            x: 119
            y: 71
            width: 160
            height: 57
            text: ""

            Text {
                id: text1
                x: 20
                y: -17
                color: "#ffffff"
                text: qsTr("Ghobara")
                font.pixelSize: 20
            }

            Text {
                id: text2
                x: 48
                y: 17
                color: "#ffffff"
                text: qsTr("Ghobara")
                font.pixelSize: 20
            }
        }

        Button {
            id: buttonExit
            x: 59
            y: 460
            width: 242
            height: 42
            text: "Exit"

            onClicked: showExit()
        }

        Button {
            id: buttonAbout
            x: 59
            y: 399
            width: 242
            height: 42
            text: "About"

            onClicked: showAbout()
        }

        Button {
            id: buttonStart
            x: 59
            y: 340
            width: 242
            height: 42
            text: "Start"

            onClicked: showGame()
        }
    }

    Rectangle {
        id: viewAbout
        x: -360
        y: 0
        width: 360
        height: 640
        color: "#ffffff"

        Button {
            id: button3
            x: 88
            y: 42
            width: 160
            height: 57
            text: ""
        }

        Button {
            id: button4
            x: 119
            y: 71
            width: 160
            height: 57
            text: ""
            Text {
                id: text3
                x: 20
                y: -17
                color: "#ffffff"
                text: qsTr("Ghobara")
                font.pixelSize: 20
            }

            Text {
                id: text4
                x: 48
                y: 17
                color: "#ffffff"
                text: qsTr("Ghobara")
                font.pixelSize: 20
            }
        }

        TextField {
            id: textfield1
            x: 36
            y: 183
            width: 288
            height: 50
            text: "Developed By"
            readOnly: true
            maximumLength: 32766
            platformLeftMargin: 7
        }

        TextField {
            id: textfield2
            x: 36
            y: 246
            width: 288
            height: 50
            text: "chall3ng3r"
            platformLeftMargin: 7
            maximumLength: 32766
            readOnly: true
        }

        Button {
            id: buttonBackAbout
            x: 59
            y: 413
            width: 242
            height: 42
            text: "Back"

            onClicked: showStart()
        }

    }

    Rectangle {
        id: viewGame
        x: 360
        y: 0
        width: 360
        height: 645
        color: "#ffffff"

        TextField {
            id: textfieldScore
            x: 164
            y: 7
            width: 180
            height: 37
            text: "00000"
            platformLeftMargin: 2
        }

        Text {
            id: text5
            x: 90
            y: 11
            text: qsTr("Score")
            font.pixelSize: 24
        }

        Button {
            id: buttonBackGame
            x: 7
            y: 7
            width: 69
            height: 37
            text: "<"

            onClicked: showStart()
        }

        Image {
            id: ballon1
            x: 92
            y: 694
            width: 100
            height: 100
            source: "./ghobara.png"
            smooth: true

            MouseArea {
                anchors.fill: parent
                onClicked: {
                    ballon1.source = "./ghobara-1.png"
                }
            }

            Behavior on y {
                PropertyAnimation {
                    property: "y"
                    duration: 3000
                    //paused: true

                    onCompleted: {
                        ballon1.y = 640
                        //addScore(10)
                    }
                }
            }
        }

        Image {
            id: ballon2
            x: 204
            y: 694
            width: 100
            height: 100
            smooth: true
            source: "./ghobara.png"
        }
    }

    states: [
        State {
            name: "about"

            PropertyChanges {
                target: viewGame
                x: 360
                y: 0
                height: 640
            }

            PropertyChanges {
                target: viewAbout
                x: 0
                y: 0
                z: -1
            }

            PropertyChanges {
                target: viewStart
                x: -360
                y: 0
            }

            PropertyChanges {
                target: ballon1
                x: 116
                y: 699
            }

            PropertyChanges {
                target: ballon2
                x: 114
                y: 690
            }
        },
        State {
            name: "game"
            PropertyChanges {
                target: viewGame
                x: 0
                y: 0
                height: 640
            }

            PropertyChanges {
                target: viewAbout
                x: 360
                y: 0
                z: -1
            }

            PropertyChanges {
                target: viewStart
                x: -360
                y: 0
            }

            PropertyChanges {
                target: image1
                x: 121
                y: 668
                opacity: 1
            }

            PropertyChanges {
                target: image2
                x: 29
                y: 668
                width: 69
                height: 65
            }

            PropertyChanges {
                target: ballon1
                x: 80
                y: 658
                width: 54
                height: 48
            }

            PropertyChanges {
                target: ballon2
                x: 210
                y: 652
            }
        }
    ]

    Timer {
        id: timerBallons
        running: true
        interval: 5000

        onTriggered: {
            ballon1.y = 0
        }
    }

    /////
    function showAbout()
    {
        console.log("showAbout()")
        mainPage.state = "about"
    }

    function showGame()
    {
        console.log("showGame()")


        mainPage.state = "game"
    }

    function showStart()
    {
        console.log("showStart()")
        mainPage.state = ""
    }

    function showExit()
    {
        console.log("showExit()")
        Qt.quit()
    }
}
